import { LcovFile } from "lcov-parse";
import { BasicSourceMapConsumer } from "source-map";
import { OutputFile } from "./file";
declare type SourcemapResolve = (path: string) => string;
export interface LcovSourceMapOption {
    sourcemaps: SourcemapResolve;
    lcov: string;
    sourceDir: string;
}
export declare function getLcov(options: LcovSourceMapOption): Promise<string>;
export declare function writeLcov(outputFile: string, options: LcovSourceMapOption): Promise<void>;
export declare function getOutputLcov(files: OutputFile[], sourceDir: string): Promise<string>;
export declare function getTransformedFiles(options: LcovSourceMapOption): Promise<OutputFile[]>;
export declare function getData(options: LcovSourceMapOption): Promise<{
    lcov: LcovMap;
    sourcemap: SourcemapMap;
}>;
declare type SourcemapFile = {
    path: string;
    consumer: BasicSourceMapConsumer;
};
declare type SourcemapMap = {
    [key: string]: SourcemapFile;
};
declare type LcovMap = {
    [path: string]: LcovFile;
};
export declare function getLcovData(lcov: string): Promise<LcovMap>;
export {};
